import { TeamSpace, TeamSpaceFontFamily } from '../../../../types/src/content-builder';
import { GetPagesAndLinksResponse, GetUserRoleResponse } from './teamspace.types';

export declare function apiGetTeamSpaceRoles(): Promise<GetUserRoleResponse>;
export declare function apiGetTeamSpaceFontFamily(): Promise<TeamSpaceFontFamily | undefined>;
export declare function apiGetTeamSpaceSpaceList({ searchTerm, }: {
    searchTerm?: string;
}): Promise<TeamSpace[]>;
export declare function apiGetTeamSpaceSpaceListOptions({ searchTerm, }: {
    searchTerm?: string;
}): Promise<{
    data: {
        label: string;
        value: string;
    }[];
    hasMore: boolean;
}>;
export declare function apiGetPagesAndLinks({ forcedPageId, parentId, searchTerm, start, }: {
    forcedPageId?: string;
    parentId: string;
    searchTerm: string;
    start: number;
}): Promise<GetPagesAndLinksResponse>;
